GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "c05d5207-1324-42b0-b55a-1897e53582f9",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "592363ae-99b2-471d-8c9e-f6e557866d30",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "cdfa54c5-5a1b-4c10-9754-82216ebc4e86",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "9b627231-2fc2-4dd3-8069-c465d68c4184",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "2e7a737f-e8f3-4f01-a642-33d103da969f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "c21633ac-3def-4df5-9d9b-4229ca101cdb",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "0a056347-9c98-4ad4-ae5d-c251971b1b4b",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"MeasurementValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "9d7bcf4e-3efb-4b7e-b1bb-4ad1cf24a842",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"MeasurementValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "333f0507-ead5-4674-a04e-a4eb6456bf0a",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-12T07:57:47.4339933-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "2896d73c-4352-4b8d-b455-db226cabbcb6",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "c05d5207-1324-42b0-b55a-1897e53582f9",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "592363ae-99b2-471d-8c9e-f6e557866d30",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "cdfa54c5-5a1b-4c10-9754-82216ebc4e86",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "9b627231-2fc2-4dd3-8069-c465d68c4184",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "2e7a737f-e8f3-4f01-a642-33d103da969f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "c21633ac-3def-4df5-9d9b-4229ca101cdb",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "0a056347-9c98-4ad4-ae5d-c251971b1b4b",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"MeasurementValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "9d7bcf4e-3efb-4b7e-b1bb-4ad1cf24a842",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"MeasurementValueNeededDate": "2026-10-12T07:57:47.4339933-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "333f0507-ead5-4674-a04e-a4eb6456bf0a",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-12T07:57:47.4339933-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "2896d73c-4352-4b8d-b455-db226cabbcb6",
"CreateDate": "2026-10-12T07:57:47.4339933-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-12T07:57:47.4339933-07:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}